## ros-humble-plotjuggler 3.7.1

=== debian/changelog ===
ros-humble-plotjuggler (3.7.1-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 23 May 2023 10:58:16 -0000

ros-humble-plotjuggler (3.7.0-1jammy) jammy; urgency=high

  * Handle protobuf maps (#824 <https://github.com/facontidavide/PlotJuggler/issues/824>)
    Protobuf maps are just repeated protobuf messages with only 2 fields
    "key" and "value". Extract the map's key and use it in the series name
    and skip adding series for "key" fields to reduce the number of non
    useful series. Additionally don't include "value" in the series name for
    the value of a map.
  * add progress dialog to MCAP loading
  * new plugin: DataTamer parser
  * performance optimization in pushBack
  * more information in MCAP error
  * optimization in MoveData
  * address #820 <https://github.com/facontidavide/PlotJuggler/issues/820>
  * Prevent runtime_error exceptions from plugins crashing the main app (#812 <https://github.com/facontidavide/PlotJuggler/issues/812>)
    Catch runtime_error exceptions thrown from the plugins and skip the throwing plugins, so that the main app can continue its normal operation.
  * fix(snap): add libzstd for mcap support (#815 <https://github.com/facontidavide/PlotJuggler/issues/815>)
  * Update README.md
  * Add a "central difference" method of derivative calculation (#813 <https://github.com/facontidavide/PlotJuggler/issues/813>)
  * Updating COMPILE dependencies to install (#810 <https://github.com/facontidavide/PlotJuggler/issues/810>)
    Taken from CI: https://github.com/facontidavide/PlotJuggler/blob/main/.github/workflows/ubuntu.yaml#L20-L31
  * Fix the bug where the shared library Parquet is not linked (#807 <https://github.com/facontidavide/PlotJuggler/issues/807>)
    The actual path to the shared library is in ${PARQUET_SHARED_LIB} instead of in
    ${PARQUET_LIBRARIES}.
  * Add CMake into comp vars and minor format improvements (#804 <https://github.com/facontidavide/PlotJuggler/issues/804>)
    Co-authored-by: Erick G. Islas Osuna <mailto:eislasosuna@netflix.com>
  * Fix for missing preferences (#795 <https://github.com/facontidavide/PlotJuggler/issues/795>)
  * fix typos in "tips and tricks" cheatsheet (#798 <https://github.com/facontidavide/PlotJuggler/issues/798>)
    fix a couple of minor typos in dialog text
  * Support Proto's That Reference Google/Protobuf (#793 <https://github.com/facontidavide/PlotJuggler/issues/793>)
  * Fix for segfault in DataLoadCSV destructor (#784 <https://github.com/facontidavide/PlotJuggler/issues/784>)
    - Change order of deletion for dialogs.
    - First delete child dialog _dateTime_dialog then parent
    _dialog.
  * Add CodeQL workflow (#765 <https://github.com/facontidavide/PlotJuggler/issues/765>)
  * [bugfix] String deserialization (#780 <https://github.com/facontidavide/PlotJuggler/issues/780>)
  * forgot throw
  * fixing nan check (#777 <https://github.com/facontidavide/PlotJuggler/issues/777>)
  * Update Reactive Scripts on playback loop (#771 <https://github.com/facontidavide/PlotJuggler/issues/771>)
  * fix
  * Contributors: Alistair, AndyZe, Bartimaeus-, Connor Anderson, Davide Faconti, Erick G. Islas-Osuna, Guillaume Beuzeboc, Mark Cutler, Michael Orlov, Peter Stöckli, Sam Pfeiffer, Zach Davis, Zheng Qu, augustinmanecy, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 18 May 2023 22:00:00 -0000

ros-humble-plotjuggler (3.6.1-1jammy) jammy; urgency=high

  * apply changes suggested in #767 <https://github.com/facontidavide/PlotJuggler/issues/767>
  * fix parsing of custom types added multiple times in messages (#769 <https://github.com/facontidavide/PlotJuggler/issues/769>)
  * ZMQ: Add topics filtering (#730 <https://github.com/facontidavide/PlotJuggler/issues/730>)
  * Add CSV loader date-time format help dialog (#731 <https://github.com/facontidavide/PlotJuggler/issues/731>)
  * Set MQTT topics list to be multi-selectable (#745 <https://github.com/facontidavide/PlotJuggler/issues/745>)
  * Always use topic names for creating MQTT parsers (#746 <https://github.com/facontidavide/PlotJuggler/issues/746>)
  * fix typo (#770 <https://github.com/facontidavide/PlotJuggler/issues/770>)
  * Fix/add other dds vendors (#763 <https://github.com/facontidavide/PlotJuggler/issues/763>)
  * Add option to build plotjuggler_base to shared library (#757 <https://github.com/facontidavide/PlotJuggler/issues/757>)
  * Add a new meme with The Rock (#751 <https://github.com/facontidavide/PlotJuggler/issues/751>)
  * Add precision to CSV export to handle geocoordinates (#753 <https://github.com/facontidavide/PlotJuggler/issues/753>)
  * compile: add cmake to brew install (#742 <https://github.com/facontidavide/PlotJuggler/issues/742>)
  * Add MIT license notice to QCodeEditor dddition (#733 <https://github.com/facontidavide/PlotJuggler/issues/733>)
    Added per https://github.com/facontidavide/PlotJuggler/issues/732
  * Fix multi-plugin selection (#739 <https://github.com/facontidavide/PlotJuggler/issues/739>)
    Broken in #726 <https://github.com/facontidavide/PlotJuggler/issues/726>. If all plugins are enabled, then opening a file supported by multiple plugins does not work.
  * 
    
      * Add drag n drop (#726 <https://github.com/facontidavide/PlotJuggler/issues/726>)
      * Ignore VSCode and OS X files
    
  * readme: add details about default snap command (#727 <https://github.com/facontidavide/PlotJuggler/issues/727>)
  * Add mac compilation section (#725 <https://github.com/facontidavide/PlotJuggler/issues/725>)
  * Update README.md (#723 <https://github.com/facontidavide/PlotJuggler/issues/723>)
    minor typos
  * Update README.md
  * Update COMPILE.md
  * Contributors: Andrew Van Overloop, Bartimaeus-, Bonkura, Davide Faconti, Guillaume Beuzeboc, Jeff Ithier, Jeremie Deray, Mark Cutler, Orhan G. Hafif, Romain Reignier, Zach Davis


